API Explorer 1 endpoints

Get Accounts at Bank (Minimal)

GET /obp/v7.0.0/banks/BANK_ID/accounts/private

OBPv3.0.0-privateAccountsAtOneBank No role required AccountAccount Information Service (AIS)PSD2

Returns the minimal list of private accounts at BANK_ID that the user has access to. For each account, the API returns the ID, routing addresses and the views available to the current user.

If you want to see more information on the Views, use the Account Detail call.

optional request parameters:

  • account_type_filter: one or many accountType value, split by comma
  • account_type_filter_operation: the filter type of account_type_filter, value must be INCLUDE or EXCLUDE

whole url example: /banks/BANK_ID/accounts/private?account_type_filter=330,CURRENT+PLUS&account_type_filter_operation=INCLUDE

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

BANK_ID: gh.29.uk

JSON response body fields (12)
account_routings
account_type
AC
accounts
address
bank_id
gh.29.uk
description
Description of the object. Maximum length is 2000. It can be any characters here.
id
d8839721-ad8f-45dd-9f78-2080414b93f9
is_public
false
label
My Account
scheme
OBP
short_name
views
Example success response
{
  "accounts": [
    {
      "id": "5995d6a2-01b3-423c-a173-5481df49bdaf",
      "label": "String",
      "bank_id": "gh.29.uk",
      "account_type": "330",
      "account_routings": [
        {
          "scheme": "OBP",
          "address": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0"
        }
      ],
      "views": [
        {
          "id": "owner",
          "short_name": "owner",
          "description": "This view is for the owner for the account.",
          "is_public": false
        }
      ]
    }
  ]
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-50000: Unknown Error.
Implemented by OBPv3.0.0 privateAccountsAtOneBank Originally /obp/v3.0.0/banks/BANK_ID/accounts/private